Package: org.codehaus.groovy.tools.shell

## [Groovy] Class Interpreter

- org.codehaus.groovy.tools.shell.Interpreter

- All Implemented Interfaces and Traits:
    Evaluator

      class Interpreter

  Helper to interpret a source buffer.

  Authors:
    Jason Dillon

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `SCRIPT_FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Interpreter (ClassLoader classLoader, Binding binding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `evaluate(Collection<String> buffer)`
    `` | `GroovyClassLoader` | `getClassLoader()`
    `` | `Binding` | `getContext()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### static final String SCRIPT_FILENAME

  - ### Constructor Detail

    - #### Interpreter(ClassLoader classLoader, Binding binding)

  - ### Method Detail

    - #### @Override def evaluate(Collection<String> buffer)

    - #### GroovyClassLoader getClassLoader()

    - #### Binding getContext()